package cd.casic.pipeline.service;

import cd.casic.pipeline.enums.LogType;
import cd.casic.pipeline.event.log.LogOriginEvent;
import cd.casic.pipeline.event.log.LogStatusEvent;
import cd.casic.pipeline.event.log.LogStorageEvent;
import cd.casic.pipeline.dal.pojo.EndPageQueryLogs;
import cd.casic.pipeline.dal.pojo.PageQueryLogs;
import cd.casic.pipeline.dal.pojo.QueryLogs;

/**
 * @author by mianbin
 * @Classname LogService
 * @Description TODO
 * @Date 2025/3/20 10:31
 */
public interface LogService {

    QueryLogs queryInitLogs(
            String buildId,
            boolean debug,
            LogType logType,
            String tag,
            String subTag,
            String jobId,
            int executeCount
    );

    QueryLogs queryLogsBetweenLines(
            String buildId,
            int num,
            boolean fromStart,
            long start,
            long end,
            boolean debug,
            LogType logType,
            String tag,
            String subTag,
            String jobId,
            int executeCount
    );

    QueryLogs queryLogsAfterLine(
            String buildId,
            long start,
            boolean debug,
            LogType logType,
            String tag,
            String subTag,
            String jobId,
            int executeCount
    );

    PageQueryLogs queryInitLogsPage(
            String buildId,
            boolean debug,
            LogType logType,
            String tag,
            String subTag,
            String jobId,
            int executeCount,
            int page,
            int pageSize
    );

    QueryLogs queryLogsBeforeLine(
            String buildId,
            long end,
            int size,
            boolean debug,
            LogType logType,
            String tag,
            String subTag,
            String jobId,
            int executeCount
    );

    EndPageQueryLogs getEndLogsPage(
            String pipelineId,
            String buildId,
            boolean debug,
            LogType logType,
            String tag,
            String subTag,
            String jobId,
            int executeCount,
            int size
    );

    QueryLogs getBottomLogs(
            String pipelineId,
            String buildId,
            boolean debug,
            LogType logType,
            String tag,
            String subTag,
            String jobId,
            int executeCount,
            int size
    );


    void addLogEvent(LogOriginEvent event);

    void addBatchLogEvent(LogStorageEvent event);

    void updateLogStatus(LogStatusEvent event);

}
