package cd.casic.pipeline.scm.api;


import cd.casic.framework.commons.pojo.CommonResult;
import cd.casic.pipeline.scm.dal.pojo.oauth.GitToken;
import cd.casic.pipeline.scm.service.IGitOauthService;
import cd.casic.pipeline.scm.service.tgit.TGitOauthService;
import jakarta.annotation.Resource;
import org.springframework.web.bind.annotation.RestController;

@RestController
public class ServiceOauthResourceImpl implements ServiceOauthResource {

    @Resource
    private IGitOauthService gitOauthService;

    @Resource
    private TGitOauthService tGitOauthService;

    @Override
    public CommonResult<GitToken> gitGet(String userId) {
        return CommonResult.success(gitOauthService.getAccessToken(userId));
    }

    @Override
    public CommonResult<GitToken> tGitGet(String userId) {
        return CommonResult.success(tGitOauthService.getAccessToken(userId));
    }
}
