package cd.casic.pipeline.scm.api.scm;


import cd.casic.framework.commons.pojo.CommonResult;
import cd.casic.pipeline.scm.dal.pojo.RevisionInfo;
import cd.casic.pipeline.scm.enums.CodeSvnRegion;
import cd.casic.pipeline.scm.enums.ScmType;
import cd.casic.pipeline.scm.service.scm.IScmOauthService;
import jakarta.annotation.Resource;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.RestController;


@RestController
@Slf4j
public class ServiceScmOauthResourceImpl implements ServiceScmOauthResource{

    @Resource
    private IScmOauthService scmOauthService;

    @Override
    public CommonResult<RevisionInfo> getLatestRevision(String projectName, String url, ScmType type, String branchName, String additionalPath, String privateKey, String passPhrase, String token, CodeSvnRegion region, String userName) {
        log.info("getLatestRevision|(projectName={}, url={}, type={}, branch={}, " +
                "additionalPath={}, region={}, username={}", projectName, url, type, branchName, additionalPath, region, userName);
        return CommonResult.success(scmOauthService.getLatestRevision(
                projectName, url, type, branchName, privateKey,
                passPhrase, token, region, userName));
    }

    @Override
    public CommonResult<Boolean> addWebhook(String projectName, String url, ScmType type, String privateKey, String passPhrase, String token, CodeSvnRegion region, String userName, String event) {
        log.info("addWebHook|(projectName={}, url={}, type={}, username={}, event={})", projectName, url, type, userName, event);
        scmOauthService.addWebhook(projectName, url, type, privateKey, passPhrase, token, region, userName, event);
        return CommonResult.success(true);
    }
}
