package cd.casic.pipeline.scm.api.scm;


import cd.casic.framework.commons.pojo.CommonResult;
import cd.casic.pipeline.scm.dal.pojo.RevisionInfo;
import cd.casic.pipeline.scm.enums.CodeSvnRegion;
import cd.casic.pipeline.scm.enums.ScmType;
import cd.casic.pipeline.scm.service.scm.IScmService;
import jakarta.annotation.Resource;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.RestController;


@RestController
@Slf4j
public class ServiceScmResourceImpl implements ServiceScmResource{

    @Resource
    private IScmService scmService;

    @Override
    public CommonResult<RevisionInfo> getLatestRevision(String projectName, String url, ScmType type, String branchName, String additionalPath, String privateKey, String passPhrase, String token, CodeSvnRegion region, String userName) {
        log.info("getLatestRevision|{}|{}|{}|{}|{}|{}|username={}", projectName, url, type, branchName, additionalPath, region, userName);
        return CommonResult.success(scmService.getLatestRevision(projectName, url, type, branchName, privateKey, passPhrase, token, region, userName));
    }

    @Override
    public CommonResult<Boolean> addWebhook(String projectName, String url, ScmType type, String privateKey, String passPhrase, String token, CodeSvnRegion region, String userName, String event, String hookUrl) {
        log.info("addWebhook|{}|{}|{}|{}|{}|{}|{}", projectName, url, type, userName, region, event, hookUrl);
        scmService.addWebhook(projectName, url, type, privateKey, passPhrase, token, region, userName, event, hookUrl);
        return CommonResult.success(true);
    }
}
