package cd.casic.pipeline.api;


import cd.casic.framework.commons.pojo.CommonResult;
import cd.casic.pipeline.dal.pojo.CredentialInfo;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.Parameter;
import io.swagger.v3.oas.annotations.Parameters;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.web.bind.annotation.*;


@RestController
@Tag(name = "服务-凭据资源")
@RequestMapping("/service/credentials")
public interface ServiceCredentialApi {

    @Operation(summary = "其他服务获取凭据")
    @GetMapping("/{projectId}/{credentialId}")
    @Parameters({
            @Parameter(name = "projectId", description = "项目ID", required = true),
            @Parameter(name = "credentialId", description = "凭据ID", required = true),
            @Parameter(name = "publicKey", description = "Base64编码的加密公钥", required = true)
    })
    CommonResult<CredentialInfo> get(
            @PathVariable
            String projectId,
            @PathVariable
            String credentialId,
            @RequestParam
            String publicKey);
}
