package cd.casic.pipeline.api.impl;


import cd.casic.framework.commons.exception.ServiceException;
import cd.casic.framework.commons.pojo.CommonResult;
import cd.casic.pipeline.api.ServiceCredentialApi;
import cd.casic.pipeline.dal.pojo.CredentialInfo;
import cd.casic.pipeline.service.CredentialService;
import jakarta.annotation.Resource;
import org.apache.commons.lang3.StringUtils;
import org.springframework.web.bind.annotation.RestController;


@RestController
public class ServiceCredentialApiImpl implements ServiceCredentialApi {

    @Resource
    private CredentialService credentialService;

    @Override
    public CommonResult<CredentialInfo> get(String projectId, String credentialId, String publicKey) {
        if (StringUtils.isBlank(projectId)) {
            throw new ServiceException(-1000, "Invalid projectId");
        }
        if (StringUtils.isBlank(credentialId)) {
            throw new ServiceException(-1000, "Invalid credentialId");
        }
        return CommonResult.success(credentialService.serviceGet(projectId, credentialId, publicKey));
    }
}
